{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Initia Docs","colors":{"primary":"#324242","light":"#7ad9f7","dark":"#4349FF"},"logo":{"light":"https://mintcdn.com/initialabs/Uwhc6AAplUb4pVeK/logo/logo_light.svg?fit=max\u0026auto=format\u0026n=Uwhc6AAplUb4pVeK\u0026q=85\u0026s=ac94fed481d8ea8bc33f6ed287d41767","dark":"https://mintcdn.com/initialabs/Uwhc6AAplUb4pVeK/logo/logo_dark.svg?fit=max\u0026auto=format\u0026n=Uwhc6AAplUb4pVeK\u0026q=85\u0026s=7c64051e297de71f104d0622d2050fb1"},"favicon":"https://mintcdn.com/initialabs/Uwhc6AAplUb4pVeK/favicon.svg?fit=max\u0026auto=format\u0026n=Uwhc6AAplUb4pVeK\u0026q=85\u0026s=632e02bc14dd8d68d7a088ccb36d92fc","api":{"openapi":["api-reference/router-api/openapi.yaml","api-reference/rollup-indexer/openapi.yaml"],"playground":{"display":"interactive","proxy":true},"mdx":{"server":"https://rest.testnet.initia.xyz"}},"appearance":{"default":"dark"},"background":{"decoration":"grid","color":{"dark":"#060606"}},"footer":{"socials":{"twitter":"https://x.com/initia","discord":"https://discord.gg/initia","github":"https://github.com/initia-labs"}},"integrations":{"ga4":{"measurementId":"G-MEX41J56YX"}},"contextual":{"options":["copy","view","chatgpt","claude","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Twitter","icon":"twitter","href":"https://x.com/initia"},{"anchor":"Discord","icon":"discord","href":"https://discord.gg/initia"},{"anchor":"GitHub","icon":"github","href":"https://github.com/initia-labs"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"initialabs","hasAudioNarration":false,"actualSubdomain":"initialabs","customDomains":["docs.initia.xyz"],"gitSource":{"type":"github","owner":"initia-labs","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a67696b99c83776a49bc5dd","collectionId":"a0dca5b1-7b51-4b8f-a147-4b0659afb2a7","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a67696b99c83776a49bc5dd"},"feedback":{"thumbs":true,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a67696b99c83776a49bc5dd:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Developers","count":58},{"language":"default","tag":"API Reference","count":56},{"language":"default","tag":"InterwovenKit","count":34},{"language":"default","tag":"Home","count":28},{"language":"default","tag":"Tools","count":25},{"language":"default","tag":"Core Concepts","count":25},{"language":"default","tag":"Indexer API","count":24},{"language":"default","tag":"VM Specific Tutorials","count":15},{"language":"default","tag":"CLIs","count":14},{"language":"default","tag":"EVM","count":14}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":false},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/nft/nft-transfer","slug":"/api-reference/nft/nft-transfer","pageMetadata":{"title":"NFT Transfer","description":"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports:\n- Same-chain transfers (EVM, Move, and Wasm chains)\n- Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721)\n- Multi-hop (L2 to L1 to L2, two IBC hops)","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /nft","href":"/api-reference/nft/nft-transfer","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Same-chain transfers (EVM, Move, and Wasm chains)\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721)\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Multi-hop (L2 to L1 to L2, two IBC hops)\"\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"NFT Transfer","description":"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports:\n- Same-chain transfers (EVM, Move, and Wasm chains)\n- Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721)\n- Multi-hop (L2 to L1 to L2, two IBC hops)","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /nft","href":"/api-reference/nft/nft-transfer","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"nftTransfer","summary":"NFT Transfer","description":"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports:\n- Same-chain transfers (EVM, Move, and Wasm chains)\n- Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721)\n- Multi-hop (L2 to L1 to L2, two IBC hops)","tags":["NFT"],"requestBody":"83929566-5c4d-40b2-8897-ec5b650e09c1","responses":{"200":"8cd37a7f-4444-49e8-9251-3fc6fc7faa9f"},"method":"post","type":"path","servers":["9dfeb694-461d-4028-9e98-aaaaac0c780b","e38be52a-8309-4cb1-8e99-b8079cc517da"],"security":[],"path":"/nft","baseUrlOptions":["https://router-api.initia.xyz","https://router-api.initiation-2.initia.xyz"],"title":"NFT Transfer","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["from_address","from_chain_id","to_address","to_chain_id","token_ids","collection_address"],"properties":{"from_address":{"type":"string","description":"Sender address.","isRequired":true,"uniqueKey":"from_address","typeLabel":"string"},"from_chain_id":{"type":"string","description":"Source chain ID.","isRequired":true,"uniqueKey":"from_chain_id","typeLabel":"string"},"to_address":{"type":"string","description":"Recipient address.","isRequired":true,"uniqueKey":"to_address","typeLabel":"string"},"to_chain_id":{"type":"string","description":"Destination chain ID.","isRequired":true,"uniqueKey":"to_chain_id","typeLabel":"string"},"token_ids":{"type":"array","description":"Token IDs to transfer (maximum 30).","maxItems":30,"items":{"type":"string","uniqueKey":"token_ids.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"token_ids","typeLabel":"string[]"},"collection_address":{"type":"string","description":"NFT collection contract address. Pass an empty string for Move chains.","isRequired":true,"uniqueKey":"collection_address","typeLabel":"string"},"class_id":{"type":"string","description":"IBC class ID. Required for cross-chain transfers.","uniqueKey":"class_id","typeLabel":"string"},"class_trace":{"type":"object","description":"IBC class trace for multi-hop transfers.","properties":{"path":{"type":"string","description":"IBC trace path.","uniqueKey":"class_trace.path","typeLabel":"string"},"base_class_id":{"type":"string","description":"Base class ID.","uniqueKey":"class_trace.base_class_id","typeLabel":"string"}},"uniqueKey":"class_trace","typeLabel":"object"},"object_addresses":{"type":"array","description":"Move object addresses (maximum 30). Required for same-chain Move transfers.","maxItems":30,"items":{"type":"string","uniqueKey":"object_addresses.items.[INDEX]","typeLabel":"string"},"uniqueKey":"object_addresses","typeLabel":"string[]"},"l1_recover_address":{"type":"string","description":"L1 recovery address for L2 to L1 to L2 transfers. Defaults to from_address.","uniqueKey":"l1_recover_address","typeLabel":"string"},"outgoing_proxy":{"type":"string","description":"Outgoing proxy contract address (Wasm chains).","uniqueKey":"outgoing_proxy","typeLabel":"string"},"timeout":{"type":"integer","default":1800,"description":"IBC timeout in seconds.","uniqueKey":"timeout","typeLabel":"integer"}},"uniqueKey":"","typeLabel":"object"},"example":{"from_address":"init1abc...","from_chain_id":"echelon-1","to_address":"init1def...","to_chain_id":"yominet-1","token_ids":["1","2"],"collection_address":"0xabc...","class_id":"wasm.init1.../nft-transfer/channel-0/..."},"examples":{"Example":{"title":"Example","value":{"from_address":"init1abc...","from_chain_id":"echelon-1","to_address":"init1def...","to_chain_id":"yominet-1","token_ids":["1","2"],"collection_address":"0xabc...","class_id":"wasm.init1.../nft-transfer/channel-0/..."}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"8cd37a7f-4444-49e8-9251-3fc6fc7faa9f":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"msgs":{"type":"array","description":"Array of transaction messages appropriate for the source chain's VM type.","items":{"type":"object","properties":{"typeUrl":{"type":"string","uniqueKey":"msgs.items.[INDEX].typeUrl","typeLabel":"string"},"value":{"type":"object","uniqueKey":"msgs.items.[INDEX].value","typeLabel":"object"}},"uniqueKey":"msgs.items.[INDEX]","typeLabel":"object"},"uniqueKey":"msgs","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"msgs":[{"typeUrl":"/ibc.applications.nft_transfer.v1.MsgTransfer","value":{}}]},"examples":{"Example":{"title":"Example","value":{"msgs":[{"typeUrl":"/ibc.applications.nft_transfer.v1.MsgTransfer","value":{}}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{},"servers":{"9dfeb694-461d-4028-9e98-aaaaac0c780b":{"url":"https://router-api.initia.xyz","description":"Mainnet"},"e38be52a-8309-4cb1-8e99-b8079cc517da":{"url":"https://router-api.initiation-2.initia.xyz","description":"Testnet"}}},"originalFileLocation":"api-reference/router-api/openapi.yaml"},"subdomain":"initialabs","siteName":"Initia Docs","title":"NFT Transfer - Initia Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-27T07:10:49.507Z","originalFileLocation":"api-reference/nft/nft-transfer.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports: - Same-chain transfers (EVM, Move, and Wasm chains) - Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721) - Multi-hop (L2 to L1 to L2, two IBC hops)\">\u003cmeta data-mint-head name=\"application-name\" content=\"Initia Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"NFT Transfer - Initia Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports: - Same-chain transfers (EVM, Move, and Wasm chains) - Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721) - Multi-hop (L2 to L1 to L2, two IBC hops)\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Initia Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.initia.xyz/api-reference/nft/nft-transfer\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://initialabs.mintlify.app/_mintlify/api/og/v2?division=NFT\u0026amp;title=NFT+Transfer\u0026amp;description=Computes+routes+and+generates+transaction+messages+for+cross-chain+NFT+transfers+within+the+Initia+ecosystem.+Supports%3A%0A-+Same-chain+transfers+%28EVM%2C+Move%2C+and+W\u0026amp;theme=e29f2c35b4742e650dd7e8e8\u0026amp;signature=9dd4872c01fc81592db6af51d54f76585a3889a74f26c555be12c0b4c92e4bc9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"NFT Transfer - Initia Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports: - Same-chain transfers (EVM, Move, and Wasm chains) - Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721) - Multi-hop (L2 to L1 to L2, two IBC hops)\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://initialabs.mintlify.app/_mintlify/api/og/v2?division=NFT\u0026amp;title=NFT+Transfer\u0026amp;description=Computes+routes+and+generates+transaction+messages+for+cross-chain+NFT+transfers+within+the+Initia+ecosystem.+Supports%3A%0A-+Same-chain+transfers+%28EVM%2C+Move%2C+and+W\u0026amp;theme=e29f2c35b4742e650dd7e8e8\u0026amp;signature=9dd4872c01fc81592db6af51d54f76585a3889a74f26c555be12c0b4c92e4bc9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/initialabs/_d_tyT_z0U8a7tAx/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Initia Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#324242\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.initia.xyz/api-reference/nft/nft-transfer\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/nft/nft-transfer.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.initia.xyz/#organization\",\"name\":\"Initia Docs\",\"url\":\"https://docs.initia.xyz\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/initialabs/Uwhc6AAplUb4pVeK/logo/logo_light.svg?fit=max\u0026auto=format\u0026n=Uwhc6AAplUb4pVeK\u0026q=85\u0026s=ac94fed481d8ea8bc33f6ed287d41767\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.initia.xyz#website\",\"name\":\"Initia Docs\",\"url\":\"https://docs.initia.xyz\",\"publisher\":{\"@id\":\"https://docs.initia.xyz/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer#webpage\",\"url\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer\",\"name\":\"NFT Transfer\",\"description\":\"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports: - Same-chain transfers (EVM, Move, and Wasm chains) - Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721) - Multi-hop (L2 to L1 to L2, two IBC hops)\",\"dateModified\":\"2026-05-27T07:10:49.507Z\",\"isPartOf\":{\"@id\":\"https://docs.initia.xyz#website\"},\"breadcrumb\":{\"@id\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Router API\",\"item\":\"https://docs.initia.xyz/api-reference/router-api/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"NFT Transfer\",\"item\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer#apireference\",\"headline\":\"NFT Transfer\",\"name\":\"NFT Transfer\",\"description\":\"Computes routes and generates transaction messages for cross-chain NFT transfers within the Initia ecosystem. Supports: - Same-chain transfers (EVM, Move, and Wasm chains) - Single-hop IBC (L2 to L1 or L1 to L2 via ICS-721) - Multi-hop (L2 to L1 to L2, two IBC hops)\",\"url\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer\",\"mainEntityOfPage\":{\"@id\":\"https://docs.initia.xyz/api-reference/nft/nft-transfer#webpage\"},\"dateModified\":\"2026-05-27T07:10:49.507Z\",\"publisher\":{\"@id\":\"https://docs.initia.xyz/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.initia.xyz#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Initia Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Initia Docs","nav":{"global":{"anchors":[{"anchor":"Twitter","icon":"twitter","href":"https://x.com/initia"},{"anchor":"Discord","icon":"discord","href":"https://discord.gg/initia"},{"anchor":"GitHub","icon":"github","href":"https://github.com/initia-labs"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home/general/welcome"}]},{"tab":"User Guides","pages":[{"title":"User Guides","href":"/user-guides/wallet/auto-signing/introduction"}]},{"tab":"Nodes and Rollups","pages":[{"title":"Nodes and Rollups","href":"/nodes-and-rollups/introduction"}]},{"tab":"Developers","pages":[{"title":"Developers","href":"/developers/introduction"}]},{"tab":"InterwovenKit","pages":[{"title":"InterwovenKit","href":"/interwovenkit/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Overview","href":"/api-reference/introduction"}]},{"group":"Router API","pages":[{"title":"Introduction","href":"/api-reference/router-api/introduction"},{"title":"Usage","href":"/api-reference/router-api/usage"},{"group":"Assets \u0026 Chains","pages":[{"title":"Get Assets","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml get /v2/fungible/assets","href":"/api-reference/assets-\u0026-chains/get-assets"},{"title":"Get Chains","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml get /v2/info/chains","href":"/api-reference/assets-\u0026-chains/get-chains"},{"title":"Get Balances","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /v2/info/balances","href":"/api-reference/assets-\u0026-chains/get-balances"}]},{"group":"Routing","pages":[{"title":"Compute Route","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /v2/fungible/route","href":"/api-reference/routing/compute-route"},{"title":"Generate Transaction","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /v2/fungible/msgs","href":"/api-reference/routing/generate-transaction"},{"title":"Get OP hook","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /op-hook","href":"/api-reference/routing/get-op-hook"}]},{"group":"Tracking Transactions","pages":[{"title":"Track Transaction","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /v2/tx/track","href":"/api-reference/tracking-transactions/track-transaction"},{"title":"Get Transaction Status","description":"Polls the current status of a transaction that was previously registered with Track Transaction (`POST /v2/tx/track`). Returns the overall status and the state of each hop in the transfer sequence.\n\nCall this endpoint repeatedly until the status reaches a terminal state (e.g. `STATE_COMPLETED` or `STATE_FAILED`). This is useful for showing transfer progress in your UI.","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml get /v2/tx/status","href":"/api-reference/tracking-transactions/get-transaction-status"}]},{"group":"NFT","pages":[{"title":"NFT Transfer","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /nft","href":"/api-reference/nft/nft-transfer"}]},{"group":"RPC","pages":[{"title":"Cosmos RPC Proxy","description":"JSON-RPC 2.0 proxy to the Cosmos RPC of a supported Cosmos chain. The request and response follow the standard [JSON-RPC 2.0 specification](https://www.jsonrpc.org/specification).\n\nOnly a limited set of RPC methods is supported:\n- `status` — fetch the node status. `params` must be `{}`.\n- `abci_query` — query application state. `params` must include `data` (string), `path` (string), and `prove` (boolean). Allowed `path` values:\n - `/cosmos.auth.v1beta1.Query/Account`\n - `/cosmos.bank.v1beta1.Query/AllBalances`\n - `/cosmos.tx.v1beta1.Service/Simulate`\n- `broadcast_tx_sync` — broadcast a signed transaction. `params` must contain a single `tx` field (string).\n- `tx_search` — search for transactions. `params` must include `page` (string, only `\"1\"` is allowed) and `query` (string, must match `tx.hash='\u003c64-hex>'`).\n\nAny other method or unsupported parameter shape returns a `400` error.","deprecated":null,"version":null,"openapi":"/api-reference/router-api/openapi.yaml post /api/rpc/{chainId}","href":"/api-reference/rpc/cosmos-rpc-proxy"}]}]},{"group":"Indexer API","pages":[{"title":"Introduction","href":"/api-reference/rollup-indexer/introduction"},{"group":"Blocks","pages":[{"title":"Get blocks","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/block/v1/blocks","href":"/api-reference/blocks/get-blocks"},{"title":"Get block by height","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/block/v1/blocks/{height}","href":"/api-reference/blocks/get-block-by-height"},{"title":"Get average block time","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/block/v1/avg_blocktime","href":"/api-reference/blocks/get-average-block-time"}]},{"group":"Transactions","pages":[{"title":"Get transactions","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/txs","href":"/api-reference/transactions/get-transactions"},{"title":"Get transactions by account","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/txs/by_account/{account}","href":"/api-reference/transactions/get-transactions-by-account"},{"title":"Get transactions by height","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/txs/by_height/{height}","href":"/api-reference/transactions/get-transactions-by-height"},{"title":"Get transaction by hash","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/txs/{tx_hash}","href":"/api-reference/transactions/get-transaction-by-hash"}]},{"group":"EVM Transactions","pages":[{"title":"Get EVM transactions","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-txs","href":"/api-reference/evm-transactions/get-evm-transactions"},{"title":"Get EVM transactions by account","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-txs/by_account/{account}","href":"/api-reference/evm-transactions/get-evm-transactions-by-account"},{"title":"Get EVM transactions by height","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-txs/by_height/{height}","href":"/api-reference/evm-transactions/get-evm-transactions-by-height"},{"title":"Get EVM transaction by hash","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-txs/{tx_hash}","href":"/api-reference/evm-transactions/get-evm-transaction-by-hash"}]},{"group":"EVM Internal Transactions","pages":[{"title":"Get EVM internal transactions","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-internal-txs","href":"/api-reference/evm-internal-transactions/get-evm-internal-transactions"},{"title":"Get EVM internal transactions by account","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-internal-txs/by_account/{account}","href":"/api-reference/evm-internal-transactions/get-evm-internal-transactions-by-account"},{"title":"Get EVM internal transactions by height","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-internal-txs/by_height/{height}","href":"/api-reference/evm-internal-transactions/get-evm-internal-transactions-by-height"},{"title":"Get EVM internal transactions by hash","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/tx/v1/evm-internal-txs/{tx_hash}","href":"/api-reference/evm-internal-transactions/get-evm-internal-transactions-by-hash"}]},{"group":"NFTs","pages":[{"title":"Get NFT collections","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/collections","href":"/api-reference/nfts/get-nft-collections"},{"title":"Get NFT collections by account","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/collections/by_account/{account}","href":"/api-reference/nfts/get-nft-collections-by-account"},{"title":"Get NFT collections by name","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/collections/by_name/{name}","href":"/api-reference/nfts/get-nft-collections-by-name"},{"title":"Get NFT collection details","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/collections/{collection_addr}","href":"/api-reference/nfts/get-nft-collection-details"},{"title":"Get NFT tokens by account","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/tokens/by_account/{account}","href":"/api-reference/nfts/get-nft-tokens-by-account"},{"title":"Get NFT tokens by collection","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/tokens/by_collection/{collection_addr}","href":"/api-reference/nfts/get-nft-tokens-by-collection"},{"title":"Get NFT transactions","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/nft/v1/txs/{collection_addr}/{token_id}","href":"/api-reference/nfts/get-nft-transactions"}]},{"group":"Rich List","pages":[{"title":"Get token holders","deprecated":null,"version":null,"openapi":"/api-reference/rollup-indexer/openapi.yaml get /indexer/richlist/v1/{denom}","href":"/api-reference/rich-list/get-token-holders"}]}]}]},{"tab":"AI","pages":[{"title":"AI","href":"/ai/overview"}]},{"tab":"Resources","pages":[{"title":"Resources","href":"/resources/developer/initia-l1"}]}]},"basePath":"","title":"NFT Transfer - Initia Docs","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}